*
* $Id$
*
* $Log$
*
*CMZ :  2.03/00 06/11/2000  01.11.37  by  Francesco Cafagna
*CMZ :  2.01/00 05/04/2000  14.35.17  by  Marialuigia Ambriola
*CMZ :  2.00/00 03/03/2000  15.39.05  by  Francesco Cafagna
*CMZ :  1.02/00 21/10/99  16.30.25  by  Francesco Cafagna
*CMZ :  1.00/02 15/03/96  16.25.51  by  Francesco Cafagna
*-- Author :    Francesco Cafagna   13/02/96
      SUBROUTINE GPHIT
************************************************************************
*                                                                      *
* HITS definition                                                      *
*                                                                      *
* Called by: UGINIT                                                    *
* Author: Francesco Cafagna, 13/02/96 18.20.10                         *
*                                                                      *
************************************************************************
#include "gphit.inc"
#include "gpsed.inc"
#include "gpkey.inc"
*
* Tof
*
      IF(PTOF) THEN
         CALL GSDETH ('S11 ',CNSED(ISS11,IDS11X),NHTOF,CHTOF, NBHTOF,
     +   OHTOF,FHTOF)
         CALL GSDETH ('S12 ',CNSED(ISS12,IDS12Y),NHTOF,CHTOF, NBHTOF,
     +   OHTOF,FHTOF)
*
         CALL GSDETH ('S21 ',CNSED(ISS21,IDS21X),NHTOF,CHTOF, NBHTOF,
     +   OHTOF,FHTOF)
         CALL GSDETH ('S22 ',CNSED(ISS22,IDS22Y),NHTOF,CHTOF, NBHTOF,
     +   OHTOF,FHTOF)
*
         CALL GSDETH ('S31 ',CNSED(ISS31,IDS31Y),NHTOF,CHTOF, NBHTOF,
     +   OHTOF,FHTOF)
         CALL GSDETH ('S32 ',CNSED(ISS32,IDS32X),NHTOF,CHTOF, NBHTOF,
     +   OHTOF,FHTOF)
*
         CALL GSDETH ('S4  ',CNSED(ISS4,IDS4),NHTOF,CHTOF, NBHTOF,
     +   OHTOF,FHTOF)
      ENDIF
*
* TRD
*
      IF(PTRD) THEN
         CALL GSDETH ('TRD ',CNSED(ISTRD,IDTRSI),NHTRD,CHTRD,NBHTRD,
     +   OHTRD,FHTRD)
      ENDIF
*
* CAT
*
      IF(PCAT) THEN
         CALL GSDETH ('CAT ',CNSED(ISCAT,IDCATL),NHCAT,CHCAT, NBHCAT,
     +   OHCAT,FHCAT)
         CALL GSDETH ('CAT ',CNSED(ISCAT,IDCATT),NHCAT,CHCAT, NBHCAT,
     +   OHCAT,FHCAT)
      ENDIF
*
* CAS
*
      IF(PCAS) THEN
         CALL GSDETH ('CAS ',CNSED(ISCAS,IDCASX),NHCAS,CHCAS,NBHCAS,
     +   OHCAS,FHCAS)
         CALL GSDETH ('CAS ',CNSED(ISCAS,IDCASY),NHCAS,CHCAS,NBHCAS,
     +   OHCAS,FHCAS)
      ENDIF
*
* SPE
*
      IF(PSPE) CALL GSDETH ('SPE ',CNSED(ISSPE,IDTSPA),
     +             NHSPE,CHSPE,NBHSPE,OHSPE,FHSPE)
*
* CAL
*
      IF(PCAL) THEN
         CALL GSDETH ('CAL ',CNSED(ISCAL,IDCASI),
     +                NHCAL,CHCAL,NBHCAL,OHCAL,FHCAL)
      ENDIF
*
* User action
*
      CALL GPUHIT
*
      RETURN
      END
